package cn.estsh.i3plus.ext.mes.pcn.api.base.bu;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesEquipmentCheckDetail;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;

import java.util.List;


/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/2/2 13:41
 **/
public interface IBuEquipmentCheckDetailService {

    /**
     * 新增
     * @param equipmentCheck
     * @return
     */
    MesEquipmentCheckDetail insert(MesEquipmentCheckDetail equipmentCheck);

    /**
     * 修改
     *
     * @param equipmentCheck
     * @return
     */
    void update(MesEquipmentCheckDetail equipmentCheck,String userName);

    /**
     * 查询
     * @param equipmentCheck
     * @param pager
     * @return
     */
    ListPager<MesEquipmentCheckDetail> queryByPager(MesEquipmentCheckDetail equipmentCheck, Pager pager);

    /**
     * 根据
     *
     * @param id
     * @param status
     * @return
     */
    int updateIsValidById(long id, Integer status);


    List<String> queryCell(MesEquipmentCheckDetail detail);

    void generateWeekCheck(String organizeCode, String workCenterCode);

    void generateMonthCheck(String organizeCode, String workCenterCode);
}
